Product comparison · 2 ip phones

Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi vs Yealink SIP T42U

Add a product
  • 27specifications compared
  • 13differ
  • 14identical
  • 43known for one product only

Key differences

The Yealink SIP T42U has 8 more VoIP accounts than the Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi (12 vs 4). The Yealink SIP T42U has 3 mm more depth than the Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi (189 mm vs 186 mm). The Yealink SIP T42U has 29 mm more height than the Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi (175 mm vs 146 mm). Only the Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi has integrated voicemail. Handset type: Wired handset on the Yealink SIP-T34W IP phone Black 4 lines LED Wi-Fi, Wireless handset on the Yealink SIP T42U.

  • Handset type
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:Wired handset
    • SIP T42U:Wireless handset
  • Product colour
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:Black
    • SIP T42U:Grey
  • Number of VoIP accounts
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:4
    • SIP T42U:12
  • Integrated voicemail
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:Yes
    • SIP T42U:No
  • Display
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:LED
    • SIP T42U:LCD
  • Display diagonal
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:6.1 cm (2.4")
    • SIP T42U:6.86 cm (2.7")
  • Display resolution
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:320 x 240 pixels
    • SIP T42U:192 x 68 pixels
  • Operating temperature (T-T)
    • SIP-T34W IP phone Black 4 lines LED Wi-Fi:-10 - 45 °C
    • SIP T42U:-10 - 50 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP-T34W, SIP T42U
70 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourDiffersBlackGrey
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Phone features1 differ
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Call holdYesYes
Call parkYesYes
Call pick upYesYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDYesYes
Conference callYesYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Distinctive ringKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
Number of VoIP accountsDiffers412
Phonebook capacity1000 entries1000 entries
RedialingYesYes
Speed diallingYesYes
Lines quantityKnown for one4 linesUnknown — not stated by the source
Answering machineKnown for oneYesUnknown — not stated by the source
Hot deskingKnown for oneYesUnknown — not stated by the source
Call returnKnown for oneYesUnknown — not stated by the source
SIP registrar serverKnown for oneYesUnknown — not stated by the source
Management features1 differ
Integrated voicemailDiffersYesNo
Number of function keysKnown for oneUnknown — not stated by the source5
Number of programmable keysKnown for oneUnknown — not stated by the source6
Voicemail indicationKnown for oneYesUnknown — not stated by the source
Display3 differ
DisplayDiffersLEDLCD
Display diagonalDiffers6.1 cm (2.4")6.86 cm (2.7")
Display resolutionDiffers320 x 240 pixels192 x 68 pixels
TouchscreenKnown for oneNoUnknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneUnknown — not stated by the sourceYes
Networkidentical
Ethernet LANYesYes
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
BluetoothKnown for oneUnknown — not stated by the sourceYes
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ethernet LAN data ratesKnown for one10,100,1000 Mbit/sUnknown — not stated by the source
Wi-Fi standardsKnown for one802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n), Wi-Fi 5 (802.11ac)Unknown — not stated by the source
Ports & interfacesidentical
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source2.2 W
Power over Ethernet (PoE)Known for oneYesUnknown — not stated by the source
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
Input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Operational conditions1 differ
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 95%
Operating temperature (T-T)Differs-10 - 45 °C-10 - 50 °C
Storage temperature (T-T)Known for one-30 - 70 °CUnknown — not stated by the source
Weight & dimensions5 differ
Width212 mm212 mm
DepthDiffers186 mm189 mm
HeightDiffers146 mm175 mm
Package widthDiffers238 mm627 mm
Package depthDiffers210 mm256 mm
Package heightDiffers103 mm235 mm
Package weightKnown for oneUnknown — not stated by the source63 kg
Packaging contentidentical
AC adapter includedKnown for oneUnknown — not stated by the sourceNo
Number of handles included1 pc(s)1 pc(s)
Audioidentical
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Microphone muteKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons